	pro readstk,wave,stk,times,star,origin
	; read in a spectrum stack
	; data from *.fits
	; header info from *.dat
	; last parameter used if origin data is included in *.dat

	; get data stack
	stk=readfits(star+'.fits')

	; open associated information file 
	openr,1,star+'.dat'

	; get dimensions 
	readf,1,npix     ; number of spectral pixels
	readf,1,nspec    ; number of spectra
	npix=long(npix)
	nspec=long(nspec)

	; get wavelength vector
	wave=dblarr(npix)
	readf,1,wave 

	; get times of observations 
	times=dblarr(nspec)
	readf,1,times

	; origin data
	if (n_params() eq 5) then begin
	   origin=intarr(nspec)
	   readf,1,origin
	   endif

	close,1

  	return
	end


